Bug 730729 - Xinerama doesn't work
Summary: Xinerama doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-qxl
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Søren Sandmann Pedersen
QA Contact: SPICE QE bug list
URL:
Whiteboard:
Depends On:
Blocks: 732423 732467 750568
TreeView+ depends on / blocked
 
Reported: 2011-08-15 14:33 UTC by Søren Sandmann Pedersen
Modified: 2014-06-18 09:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 732423 732467 (view as bug list)
Environment:
Last Closed: 2011-12-06 15:08:42 UTC


Attachments (Terms of Use)
xorg.conf file with a Xinerama setup (1.25 KB, text/plain)
2011-08-22 15:09 UTC, Søren Sandmann Pedersen
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:1621 normal SHIPPED_LIVE xorg-x11-drv-qxl bug fix and enhancement update 2011-12-06 00:50:59 UTC

Description Søren Sandmann Pedersen 2011-08-15 14:33:39 UTC
Xinerama does not work on 6.2. This may be a bug in xorg-x11-drv-qxl, in qemu, or in spice-server.

Comment 2 Søren Sandmann Pedersen 2011-08-19 14:41:01 UTC
Some initial investigation:

  - The spice client crashes when the server first asks for four screens. 
    Starting spicec again makes it display the four windows and run without
    crashing.

  - There are two relatively straightforward fixes to the X driver, both having
    to do with the extra devices not emulating VGA.

         - The PCI probing skips non-VGA devices

         - The "save state" routine saves the state of the VGA fonts. When 
           that is called for non-VGA hardware it gets applied to the one
           VGA device, putting it into VGA mode which then creates chaos.

   - With those fixes, the X server will start in Xinerama mode, but there is
     something wrong with the tablet; it seems to be stuck on the third screen.

     Running without the tablet then seems to work.

Comment 3 Søren Sandmann Pedersen 2011-08-22 15:00:12 UTC
RHEL-6:xorg-x11-drv-qxl-0_0_14-5_el6)

Comment 5 Søren Sandmann Pedersen 2011-08-22 15:09:44 UTC
Created attachment 519304 [details]
xorg.conf file with a Xinerama setup

QA, I'll attach an xorg.conf file that works for me, although it may be that you will need to adjust the PCI IDs according according to how your specific VM is set up. You can find the devices by doing

    lspci -v 

as root and looking for QXL devices.

Comment 7 errata-xmlrpc 2011-12-06 15:08:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2011-1621.html


Note You need to log in before you can comment on or make changes to this bug.